Update Campaign Budget
curl --request POST \
--url https://public.plai.io/meta/edit_campaign \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"campaignId": "<string>",
"editLevel": "<string>",
"amount": 123
}
'import requests
url = "https://public.plai.io/meta/edit_campaign"
payload = {
"userId": "<string>",
"campaignId": "<string>",
"editLevel": "<string>",
"amount": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', campaignId: '<string>', editLevel: '<string>', amount: 123})
};
fetch('https://public.plai.io/meta/edit_campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"error": "<string>"
}
}Campaign
Update Campaign Budget
This endpoint allows you to update the daily budget of a campaign.
POST
/
meta
/
edit_campaign
Update Campaign Budget
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
The unique identifier of the campaign
string
default:"BUDGET"
The level of campaign property you want to edit.
Currently supports
BUDGET to update the campaign’s daily budget.
Default
editLevel is BUDGET.number
required
The new daily budget amount for the campaign. Required when
editLevel is set to BUDGET.
Must be a positive number representing the budget in your account’s currency.Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).